Awkward Array: awkward::LayoutBuilder Namespace Reference

Loading...
Searching...
No Matches
Classes | Functions
awkward::LayoutBuilder Namespace Reference

## Classes
class | BitMasked
| Builds a BitMaskedArray in which mask values are packed into a bitmap. More...
class | ByteMasked
| Builds a ByteMaskedArray using a mask which is an array of booleans that determines whether the corresponding value in the contents array is valid or not. More...
class | Empty
| Builds an EmptyArray which has no content in it. It is used whenever an array's type is not known because it is empty. More...
class | EmptyRecord
| Builds an Empty RecordArray which has has `zero` contents. It still represents a non-empty array. In this case, its length is specified by length. More...
class | Field
| Helper class for sending a pair of field names (as enum) and field type as template parameters in `Record`. More...
class | Indexed
| Builds an IndexedArray which consists of an `index` buffer. It is a general-purpose tool for changing the order of and/or duplicating some content. More...
class | IndexedOption
| Builds an IndexedOptionArray which consists of an `index` buffer. The negative values in the index are interpreted as missing. More...
class | List
| Builds a ListArray which generalizes ListOffsetArray. Instead of a single offsets array, ListArray has - starts which is the starting index of each list and stops which is the stopping index of each list. More...
class | ListOffset
| Builds a ListOffsetArray which describes unequal-length lists (often called a "jagged" or "ragged" array). The underlying data for all lists are in a BUILDER content. It is subdivided into lists according to an offsets array, which specifies the starting and stopping index of each list. More...
class | Numpy
| Builds a NumpyArray which describes multi-dimensional data of `PRIMITIVE` type. More...
class | Record
| Builds a RecordArray which represents an array of records, which can be of same or different types. Its contents is an ordered list of arrays with the same length as the length of its shortest content; all are aligned element-by-element, associating a field name to every content. More...
class | Regular
| Builds a RegularArray that describes lists that have the same length, a single integer size. Its underlying content is a flattened view of the data; that is, each list is not stored separately in memory, but is inferred as a subinterval of the underlying data. More...
class | Tuple
| Builds a RecordArray which represents an array of tuples which can be of same or different types without field names, indexed only by their order. More...
class | Union
| Builds a UnionArray which represents data drawn from an ordered list of contents, which can have different types, using tags, which is an array of integers indicating which content each array element draws from and index, which is an array of integers indicating which element from the content to draw from. More...
class | Unmasked
| Builds an UnmaskedArray which the values are never, in fact, missing. It exists to satisfy systems that formally require this high-level type without the overhead of generating an array of all True or all False values. More...

## Functions
awkward::BuilderOptions | default_options (1024, 1)
| Object of `BuilderOptions` which sets the values of the default options.

## Function Documentation

## ◆ default_options()

awkward::BuilderOptions default_options | ( | 1024 | ,
|  | 1 |
| ) |  |

Object of `BuilderOptions` which sets the values of the default options.